<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:descendantFocusability="blocksDescendants">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/news_detail_rv_show"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/news_detail_ll_bottom"
            android:scrollbars="vertical" />

        <LinearLayout
            android:id="@+id/news_detail_ll_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginTop="-7dp"
            android:orientation="vertical"
            android:visibility="gone">

            <View
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:background="@drawable/shadow" />

            <LinearLayout
                android:id="@+id/commentContainer"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:background="@color/background_white"
                android:orientation="horizontal">

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:padding="10dp">

                    <RelativeLayout
                        android:id="@+id/news_detail_ll_coment"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/button_border_gray_oval"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/comment_icon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:src="@drawable/news_detail_comment_icon" />

                        <TextView
                            android:id="@+id/commentTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="4dp"
                            android:layout_toRightOf="@+id/comment_icon"
                            android:paddingBottom="1dp"
                            android:text="@string/news_detail_send_comment"
                            android:textColor="@color/text_subtitle"
                            android:textSize="14sp" />

                    </RelativeLayout>
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/detail_ll_bottom"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_weight="1"
                    android:visibility="gone">

                    <com.gh.common.view.DownloadButton
                        android:id="@+id/detail_progressbar"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginRight="10dp"
                        android:layout_marginBottom="10dp"
                        app:download_button_show_progress="true"
                        app:download_button_text_size="@dimen/primary_text_size" />

                </RelativeLayout>
            </LinearLayout>
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/news_skeleton"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include layout="@layout/reuse_no_connection" />

        <include layout="@layout/reuse_none_data" />

        <include layout="@layout/reuse_data_exception" />

    </RelativeLayout>
</LinearLayout>